# Interface methods for submodule: RelabelComponentImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import InPlaceImageFilterProxy as _InPlaceImageFilterProxy


# Interface methods for class: RelabelComponentImageFilter
class RelabelComponentImageFilterProxy(_InPlaceImageFilterProxy):
	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNumberOfObjects(self) -> int:
		""""""
		...

	def GetOriginalNumberOfObjects(self) -> int:
		""""""
		...

	def SetNumberOfObjectsToPrint(self, _arg: int) -> None:
		""""""
		...

	def GetNumberOfObjectsToPrint(self) -> int:
		""""""
		...

	def SetMinimumObjectSize(self, _arg: int) -> None:
		""""""
		...

	def GetMinimumObjectSize(self) -> int:
		""""""
		...

	def SetSortByObjectSize(self, _arg: bool) -> None:
		""""""
		...

	def GetSortByObjectSize(self) -> bool:
		""""""
		...

	def SortByObjectSizeOn(self) -> None:
		""""""
		...

	def SortByObjectSizeOff(self) -> None:
		""""""
		...

	def GetSizeOfObjectsInPixels(self) -> Sequence[int]:
		""""""
		...

	def GetSizeOfObjectsInPhysicalUnits(self) -> Sequence[float]:
		""""""
		...

	def GetSizeOfObjectInPixels(self, obj: int) -> int:
		""""""
		...

	def GetSizeOfObjectInPhysicalUnits(self, obj: int) -> float:
		""""""
		...

